# dkim_sig_getdomain()

[back to index]

SYNOPSIS |
    #include <dkim.h>

    const char * dkim_sig_getdomain(
    	DKIM_SIGINFO *sig
    );
Retrieve from a DKIM handle the domain name associated with the signature on a message.
DESCRIPTION |
Called When | `dkim_sig_getdomain()` can be called at any time after signature handles are initialized by a call to `dkim_eoh()`.
ARGUMENTS |
Argument | Description
--- | ---
sig | Signature-specific handle.
RETURN VALUES |
Value | Description
--- | ---
`NULL` | No domain name could be determined for this signature.
otherwise | A pointer to the domain name found in the signature.
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.